
import java.awt.*;
import java.io.IOException;


public class HeBurnCoreArea {

	/**
	 * @param args
	 */
    public void draw(Graphics g) throws IOException {

	    Graphics2D g2 = (Graphics2D) g;

	    
	    //Blueloop Band
	    g2.setColor(Color.ORANGE);

	    for (int i = 0; i < BlueLoop.length; i++) {
	    	for (int j = 0; j < 15; j++) {
	    		g2.drawLine((int)(sVar.xPos - sVar.xSt * BlueLoop.blueloop[0][i])+j,(int)(sVar.yPos - sVar.ySt * BlueLoop.blueloop[1][i]),(int)(sVar.xPos - sVar.xSt * BlueLoop.blueloop[0][i+1])+j,(int)(sVar.yPos - sVar.ySt * BlueLoop.blueloop[1][i+1]));	
			}
		}
	    
	    //HB
		for (int i = 0; i < HorizontalBranch.length; i++){
		    g2.setFont(new Font("Arial", Font.PLAIN, 12));
	    	for (int j = 0; j < 5; j++) {
	    		g2.drawLine((int)(sVar.xPos - sVar.xSt * HorizontalBranch.hb[0][i]),(int)(sVar.yPos - sVar.ySt * HorizontalBranch.hb[1][i])-j,(int)(sVar.xPos - sVar.xSt * HorizontalBranch.hb[0][i+1]),(int)(sVar.yPos - sVar.ySt * HorizontalBranch.hb[1][i+1])-j);
	    	}
		}
	    
	    


	    
    }

}
