import java.awt.Color;
import java.awt.Graphics;
import java.io.IOException;

public class HighlightStage  {

	public void draw(Graphics g) throws IOException {
    	
        g.setColor(Color.decode("#ec0000"));
        
        double h_M = StarInHRD.m_star.m_M;
        
        double t = 1000*Years.value(h_M)[StarInHRD.m_star.m_x];
        
        if ( t < 1000*Years.stage(h_M)[0]) {
          drawStage(g,0); 
        }
	    else {
	      if ( t < 1000*Years.stage(h_M)[1]) {
	        drawStage(g,1);
	      }
	      else {
	        if ( t < 1000*Years.stage(h_M)[2]) {
		      drawStage(g,2);
	        }
	        else {
	          if ( t < 1000*Years.stage(h_M)[3]) {
	            drawStage(g,3);                	  
	          }
	          else {
	            if ( t < 1000*Years.stage(h_M)[4]) {
	              drawStage(g,4);	
	            }
	            else {
		          if ( t < 1000*Years.stage(h_M)[5]) {
		            drawStage(g,5);
		          }
	              else {
	                if ( t < 1000*Years.stage(h_M)[6]) {
	                  drawStage(g,6);
	                }
	                else {
	                  if ( t < 1000*Years.stage(h_M)[7]) {
	                    drawStage(g,7);
	                  }
		              else {
		                if ( t < 1000*Years.stage(h_M)[8]) {
		                  drawStage(g,8);
		                }
			            else {
			              if ( t < 1000*Years.stage(h_M)[9]) {
			                drawStage(g,9);
			              }	                         	
				          else {
				            if ( t < 1000*Years.stage(h_M)[10]) {
				              drawStage(g,10);
				            }
				          }
			            }	
				      }     
	                }                      		
	              }
	            }
	          }
	        }
	      }
	    }   // end of first if	
	}
	
	public void drawStage (Graphics g, int stage) {
		
		double h_M = StarInHRD.m_star.m_M;
		
		int w = 3; //highlight width
		
		if ( stage != 0  ) {
			for (int i = 1; i < Years.length(h_M); i++){
				int j = i -1;
				if (Years.value(h_M)[i] <= Years.stage(h_M)[stage] && Years.stageName(h_M)[stage] != "Supernova"){
	    			if (Years.value(h_M)[i] > Years.stage(h_M)[stage-1] ) {
	        			int x_i = getX(i);
	        			int y_i = getY(i);
	        			int x_j = getX(j);
	        			int y_j = getY(j);	
	        			double dT;
	        			double dL;
	        			if ( i < Years.length(h_M)-1 ) {
		        		   dT = LogT.value(h_M)[i] - LogT.value(h_M)[j];
		        		   dL = LogL.value(h_M)[i] - LogL.value(h_M)[j];
	        			} else {
			        	   dT = LogT.value(h_M)[i];
			        	   dL = LogL.value(h_M)[i];
	        			}
		        		    
	        			if (Track.connectRule(dT,dL) && Years.stageName(h_M)[stage] != "He-Flash") {	        			
		        			for (int d = 0; d < w; d++) {
		        				g.drawLine(x_i-d,y_i,x_j-d,y_j);
		        				g.drawLine(x_i,y_i-d,x_j,y_j-d);
		        				g.drawLine(x_i+d,y_i,x_j+d,y_j);
		        				g.drawLine(x_i,y_i+d,x_j,y_j+d);
							}
		        			g.fillOval(x_i-w/2, y_i-w/2, w, w);
		        			g.drawOval(x_i-w/2, y_i-w/2, w, w);
	        			}
	    			}
				}
			}
		}else {
			for (int i = 1; i < Years.length(h_M); i++){
			int j = i -1;
				if (Years.value(h_M)[i] < Years.stage(h_M)[0]) {
	    			int x_i = getX(i);
	    			int y_i = getY(i);
	    			int x_j = getX(j);
	    			int y_j = getY(j);	        			
        			for (int d = 0; d < w; d++) {
        				g.drawLine(x_i-d,y_i,x_j-d,y_j);
        				g.drawLine(x_i,y_i-d,x_j,y_j-d);
        				g.drawLine(x_i+d,y_i,x_j+d,y_j);
        				g.drawLine(x_i,y_i+d,x_j,y_j+d);
					}
					g.fillOval(x_i-w/2, y_i-w/2, w, w);		    			
					g.drawOval(x_i-w/2, y_i-w/2, w, w);			
				}
			}	
		 }
	}

	public int getX (int i) {
		int x_i;
		if ( i < Years.length(StarInHRD.m_star.m_M)-1 ) {
			x_i = (int)(sVar.xPos - sVar.xSt * LogT.value(StarInHRD.m_star.m_M)[i]);
		} else {
			x_i = (int)(sVar.xPos - sVar.xSt * LogT.value(StarInHRD.m_star.m_M)[(int)Years.length(StarInHRD.m_star.m_M)-1]);
		}
		return x_i;
	}
	
	public int getY (int i) {
		int y_i;
		if ( i < Years.length(StarInHRD.m_star.m_M)-1 ) {
			y_i = (int)(sVar.yPos - sVar.ySt * LogL.value(StarInHRD.m_star.m_M)[i]);
		} else {
			y_i = (int)(sVar.yPos - sVar.ySt * LogL.value(StarInHRD.m_star.m_M)[(int)Years.length(StarInHRD.m_star.m_M)-1]);
		}
		return y_i;
	}
	
}
