
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.io.IOException;


/*
 * Created on 06.04.2005
 */

/**
 * @author Christian Carazo Ziegler
 *         Sternwarte Bonn
 */
public class HorizontalBranch {
    
//  ======================================================== constructor
    public HorizontalBranch() {
    }    
    
	public static double[][] hb = {
			{
				
				3.726, // 0,55 Mo
				3.663, // 1,0 Mo
				3.664, // 1,1 Mo
				3.666, // 1,2 Mo
				3.672, // 1,5 Mo
				3.688, // 1,9 Mo
				3.900, //manual value
				4.100  //manual value
			},
			{
				1.465, // 0,55 Mo
				1.633, // 1,0 Mo
				1.649, // 1,1 Mo
				1.663, // 1,2 Mo
				1.687, // 1,5 Mo
				1.544, // 1,9 Mo
				1.300, // manual value
				1.000, // manual value
			}
	};
	
	static int length = hb[0].length-1;

public void draw(Graphics g) throws IOException {
	//HB
	for (int i = 0; i < length; i++){
	    g.setColor(Color.decode("#00bb00"));
	    g.setFont(new Font("Arial", Font.PLAIN, 12));
    	for (int j = 0; j < 2; j++) {
    		g.drawLine((int)(sVar.xPos - sVar.xSt * hb[0][i]),(int)(sVar.yPos - sVar.ySt * hb[1][i])-j,(int)(sVar.xPos - sVar.xSt * hb[0][i+1]),(int)(sVar.yPos - sVar.ySt * hb[1][i+1])-j);
    	}
	}
	g.drawString("Horiztontal Branch",(int)(sVar.xPos - sVar.xSt * hb[0][length])-75,(int)(sVar.yPos - sVar.ySt * hb[1][length])+15);
	
	
}

}
