import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.io.IOException;

public class InfoBox {
	
	public boolean showInfo = false;
	
	public static int boxID;
	
	InfoBox(){
	}
	
    public void draw(Graphics g) throws IOException {
    	
    	int boxWidth = 400;
    	int boxHeight = 100;
    	int r = 5;
    	
    	int boY;
    	int boX = sVar.yAchsenPosX+Diagram.axisWidth-boxWidth+75;
    	if (StarInHRD.m_star.m_M <= 9) {
    		boY = 24;
    	} else {
    		boY = 387;
    	}
    	
    	//Textteilen
    	int z_top = 36;
    	int z = 12;
   	
    	
    		g.setColor(Color.decode("#E6ECFF"));
    		g.fillRect(boX,boY,boxWidth,boxHeight);
    		g.setColor(Color.decode("#000000"));
    		g.drawRect(boX,boY,boxWidth,boxHeight);

    		g.setFont(new Font("Arial", Font.BOLD, z));
   			g.drawString("General description of: "+Years.stageName(StarInHRD.m_star.m_M)[boxID],boX+r,boY+12);

   			
    		g.setFont(new Font("Arial", Font.PLAIN, z));
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Main Sequence")) {
    			g.drawString("A main sequence star burns H to HE into the core.",boX+r,boY+z_top);
    			g.drawString("This stage stops when the H-burning process into the core ends.",boX+r,boY+48);
    			g.drawString("For stars without inner convection (M < 1.15)",boX+r,boY+60);
    			g.drawString("the transition to the next stage is smooth.",boX+r,boY+72);
    			g.drawString("Stars with inner convection (M > 1.15) H-burning stops at",boX+r,boY+84);
    			g.drawString("the TAMS. The core shrinks before the next stage begins.",boX+r,boY+96);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("") && boxID == 1) {
    			g.drawString("During this stage the H-Shellburning ignites for stars",boX+r,boY+z_top);
    			g.drawString("with M > 1.15 as soon as Tshell is high enough for He-ignition.",boX+r,boY+48);
    			g.drawString("The star surface compensates this inner process and extends.",boX+r,boY+60);    			
    			g.drawString("Stars with M < 1.15 evolve gradually as shell burning stars",boX+r,boY+72);
    			g.drawString("towards the RG stage.",boX+r,boY+84);    			
    		}
  		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Giant Branch")) {
    			g.drawString("During the red giant branch stage the star burns H into a shell",boX+r,boY+z_top);
    			g.drawString("around the core. For stars with 0.6 < M < 2.0 ",boX+r,boY+48);    			
    			g.drawString("this stages ends with a He-Flash. They continue onto the",boX+r,boY+60);
    			g.drawString("Horizontal Branch. Stars with 2.0 < M < 8.0 ",boX+r,boY+72);
    			g.drawString("continue with a Blue Loop when He-coreburning started.",boX+r,boY+84);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("He-Flash")) {
    			g.drawString("For Stars with M < 2.5 the developent on th RG ends",boX+r,boY+z_top);
    			g.drawString("with a He-Flash. The core of these stars is degenerated.",boX+r,boY+48);
    			g.drawString("Fusion rises extremly an leads to very high luminosities",boX+r,boY+60);
    			g.drawString("(LogL ~ 11) in a very short time.",boX+r,boY+72);    			
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Horizontal Branch")) {
    			g.drawString("After a HE-Flash the stars appear on the Horizontal Branch.",boX+r,boY+z_top);
    			g.drawString("The position on the HB for further evolution, mainly depends ",boX+r,boY+48);
    			g.drawString("on the thickness of the H-Shell that remains after the explosion.",boX+r,boY+60);    			
    		}  

    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("eAGB")) {
    			g.drawString("During the early Asymptotic Giant Branch...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("AGB")) {
    			g.drawString("During the Asymptotic Giant Branch...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("tpAGB")) {
    			g.drawString("During the ThermalPulse Asymptotic Giant Branch...",boX+r,boY+z_top);
    		}    		
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Blue Loop")) {
    			g.drawString("During the blue loop...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Planetary Nebula")) {
    			g.drawString("As Planetary Nebula...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Supernova")) {
    			g.drawString("A Supernova ...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Red Supergiant")) {
    			g.drawString("A red supergiant ...",boX+r,boY+z_top);
    		}
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Wolf Rayet Star")) {
    			g.drawString("A Wolf Rayet Star ...",boX+r,boY+z_top);
    		} 
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("White Dwarf")) {
    			g.drawString("During the White Dwarf...",boX+r,boY+z_top);
    		}  
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Neutron Star")) {
    			g.drawString("During the Neutron Star...",boX+r,boY+z_top);
    		}  
    		
    		if(Years.stageName(StarInHRD.m_star.m_M)[boxID].equals("Black Hole")) {
    			g.drawString("During the Black Hole...",boX+r,boY+z_top);
    		}  
    		
    }

}
