
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.io.IOException;
import DDR.*;

/*
 * Created on 06.04.2005
 */

/**
 * @author Christian Carazo Ziegler
 *         Sternwarte Bonn
 */
public class ZAMS {
    
//  ======================================================== constructor
    public ZAMS() {
    }    
    
	static double zams[][] = {
			{
			LogT0001.value[1],
			padova.LogT0006.value[1],
			padova.LogT0009.value[1],
			LogT0010.value[1],			
			LogT0015.value[1],
			LogT0020.value[1],			
			LogT0030.value[1],	
			LogT0050.value[1],				
			LogT0070.value[1],
			LogT0090.value[1],
			padova.LogT0150.value[0],			
			LogT0200.value[1],
			LogT0500.value[1],
			LogT0900.value[1],
			padova.LogT1200.value[0],
			},
			{
				LogL0001.value[1],
				padova.LogL0006.value[1],				
				padova.LogL0009.value[1],				
				LogL0010.value[1],
				LogL0015.value[1],
				LogL0020.value[1],				
				LogL0030.value[1],
				LogL0050.value[1],
				LogL0070.value[1],
				LogL0090.value[1],
				padova.LogL0150.value[0],				
				LogL0200.value[1],
				LogL0500.value[1],
				LogL0900.value[1],	
				padova.LogL1200.value[0],				
			}
	};
	
	static int length = zams[0].length-1;
	

public void draw(Graphics g) throws IOException {
	//Color and Titel
    g.setColor(Color.blue);
    g.setFont(new Font("Arial", Font.PLAIN, 12));
    g.drawString("ZAMS",(int)(sVar.xPos - sVar.xSt * zams[0][length])-40,(int)(sVar.yPos - sVar.ySt * zams[1][length])-2);
    
    //draw ZAMS line
	for (int i = 0; i < length; i++){
		int x1 = (int)(sVar.xPos - sVar.xSt * zams[0][i]);
	    int x2 = (int)(sVar.xPos - sVar.xSt * zams[0][i+1]);
	    int y1 = (int)(sVar.yPos - sVar.ySt * zams[1][i]);
	    int y2 = (int)(sVar.yPos - sVar.ySt * zams[1][i+1]); 
	    
		g.drawLine(x1,y1,x2,y2);
	}
}

}
