import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;


class HRDPanel extends JPanel  {

    private static final long serialVersionUID = 1L;
    
    static StarInHRD starHRD;   // The Star Panel 
    
    //Stage Buttons
    public static JButton stageButton0 = new JButton();         
    public static JButton stageButton1 = new JButton();
    public static JButton stageButton2  = new JButton();    
    public static JButton stageButton3  = new JButton();
    public static JButton stageButton4  = new JButton(); 
    public static JButton stageButton5  = new JButton(); 
    public static JButton stageButton6  = new JButton(); 
    public static JButton stageButton7  = new JButton(); 
    public static JButton stageButton8  = new JButton();
    public static JButton stageButton9  = new JButton();
    public static JButton stageButton10  = new JButton();


    //Mass - Buttons
    JLabel selectM = new JLabel();
    JToggleButton m0001Button = new JToggleButton("0.1 M");
    JToggleButton m0006Button = new JToggleButton("0.6 M");         
    JToggleButton m0009Button = new JToggleButton("0.9 M");
    JToggleButton m0010Button = new JToggleButton("1.0 M");  
    JToggleButton m0015Button = new JToggleButton("1.5 M");
    JToggleButton m0020Button = new JToggleButton("2.0 M");  
    JToggleButton m0030Button = new JToggleButton("3.0 M"); 
    JToggleButton m0040Button = new JToggleButton("4.0 M");  
    JToggleButton m0050Button = new JToggleButton("5.0 M");
    JToggleButton m0070Button = new JToggleButton("7.0 M"); 
    JToggleButton m0090Button = new JToggleButton("9.0 M");
    JToggleButton m0150Button = new JToggleButton("15 M"); 
    JToggleButton m0200Button = new JToggleButton("20 M");   
    JToggleButton m0500Button = new JToggleButton("50 M");  
    JToggleButton m0900Button = new JToggleButton("90 M");
    JToggleButton m1200Button = new JToggleButton("120 M"); 

   
    //Animantion Slider
    int slideLength = (int)Years.length(StarInHRD.m_star.m_M)-1;
    JLabel sliderLabel = new JLabel();
    JSlider delaySlide = new JSlider();

    //Animantion Scrollbar
    JScrollBar animationScroll = new JScrollBar(Adjustable.HORIZONTAL,0,0,0, slideLength);


    // HRD Panel Constructor
    /** Creates a panel with the HRD  */

    HRDPanel() {
         //... Create components
         setBorder(BorderFactory.createLineBorder(Color.BLACK));
         
         //Initialisiere StarInHRD Objekt
         starHRD = new StarInHRD();
         starHRD.addMouseWheelListener(new WheelX());
         starHRD.addMouseListener(new Start());

         
         //Time-Slider Settings
         sliderLabel.setFont(new Font("Arial", Font.BOLD, 12));
	     sliderLabel.setText(" Animation Delay [ms]: " + StarInHRD.m_timer.getDelay());
	     sliderLabel.addMouseWheelListener(new SetDelayByWheel());
	     delaySlide = new JSlider(0,1,1000,StarInHRD.m_timer.getDelay());
	     delaySlide.setBackground(Color.decode("#000000"));
         delaySlide.setPaintTicks(true);
         delaySlide.setPaintLabels(false);
         delaySlide.setMajorTickSpacing(250);
         delaySlide.setMinorTickSpacing(50);
         delaySlide.addChangeListener(new DelaySlider());
         delaySlide.addMouseWheelListener(new SetDelayByWheel());
         
         //Animantion Scrollbar Settings
         animationScroll.addAdjustmentListener( new SetX());
         animationScroll.addMouseWheelListener( new WheelX());
         animationScroll.setBackground(Color.decode("#000000"));
         animationScroll.setToolTipText("move scrollbar");
         /** Actionlistener für den Timer zum Aktualisieren der Scrollbar Position */
         StarInHRD.m_timer.addActionListener(new ScrollPosX());

         
         //Control - Buttons 
         JButton stopButton  = new JButton("Stop");
         stopButton.addActionListener(new Stop());
         JButton resetButton  = new JButton("Reset");
         resetButton.addActionListener(new Reset());
         JButton startButton = new JButton("Run");
         startButton.addActionListener(new Start());
         JButton fwdButton = new JButton("+ 1 step");
         fwdButton.addActionListener(new StepFWD());
         JButton rwdButton = new JButton("- 1 step");
         rwdButton.addActionListener(new StepRWD());
         JButton helpButton  = new JButton("Help");
         

         //
         JLabel selectT = new JLabel();
         selectT.setFont(new Font("Arial", Font.BOLD, 20));
         selectT.setText(" Stage:"); 
         selectT.setToolTipText("please select the time stage");

         //Stagebutton-Settings
         stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
         stageButton0.setToolTipText("click right for InfoBox");
         stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
         stageButton1.setToolTipText("click right for InfoBox");
         stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);
         stageButton2.setToolTipText("click right for InfoBox");
         stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
         stageButton3.setToolTipText("click right for InfoBox");
         stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]);
         stageButton4.setToolTipText("click right for InfoBox");
         stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]);
         stageButton5.setToolTipText("click right for InfoBox");
         stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]);
         stageButton6.setToolTipText("click right for InfoBox");
         stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]);
         stageButton7.setToolTipText("click right for InfoBox");
         stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
         stageButton8.setToolTipText("click right for InfoBox");
         stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
         stageButton9.setToolTipText("click right for InfoBox");
         stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
         stageButton10.setToolTipText("click right for InfoBox");


         //Mass Buttons
         selectM.setFont(new Font("Arial", Font.BOLD, 20));
         selectM.setText(" Mass:");
         selectM.setToolTipText("please select the solar mass");
         m0010Button.setSelected(true);
         
         // Features
         JSeparator sepp = new JSeparator();
         JSeparator sepp2 = new JSeparator();
         
         JLabel features = new JLabel();
         features.setFont(new Font("Arial", Font.BOLD, 20));
         features.setText(" Features:"); 
         features.setToolTipText("Tooltip Beta");
         
         JSeparator seppZ = new JSeparator();
         
         JLabel selectZ = new JLabel();
         selectZ.setFont(new Font("Arial", Font.BOLD, 12));
         selectZ.setText(" metallicity:");
         
         JRadioButton zButton = new JRadioButton("high");
         zButton.setSelected(true);
         zButton.setBackground(Color.decode(sVar.CONTROL));
         
         JRadioButton zButton2 = new JRadioButton("low");
         zButton2.setBackground(Color.decode(sVar.CONTROL));
         
         JLabel showAMS = new JLabel();
         showAMS.setFont(new Font("Arial", Font.BOLD, 15));
         showAMS.setText(" Show:");
         
         JCheckBox buttonZAMS = new JCheckBox ("Zero Age Main Sequence"); 
         buttonZAMS.setSelected(false);
         buttonZAMS.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox buttonTAMS = new JCheckBox ("Terminal Age Main Sequence");
         buttonTAMS.setSelected(false);
         buttonTAMS.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox showHayashi = new JCheckBox ("Hayashi"); 
         showHayashi.setBackground(Color.decode(sVar.CONTROL));
         showHayashi.setSelected(starHRD.showHayashi);
         showHayashi.setSelected(true);
         showHayashi.setSelected(starHRD.showHayashi);
         
         JCheckBox showHburnCoreArea = new JCheckBox ("H-Core-Burning");
         showHburnCoreArea.setSelected(false);
         showHburnCoreArea.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox showHburnShellArea = new JCheckBox ("H-Shell-Burning");
         showHburnShellArea.setSelected(false);
         showHburnShellArea.setBackground(Color.decode(sVar.CONTROL)); 
         
         JCheckBox showHeBurnCoreArea = new JCheckBox ("He-Core-Burning");
         showHeBurnCoreArea.setSelected(false);
         showHeBurnCoreArea.setBackground(Color.decode(sVar.CONTROL)); 
         
         JCheckBox showHB = new JCheckBox ("Horizontal Branch");
         showHB.setSelected(false);
         showHB.setBackground(Color.decode(sVar.CONTROL));

         JCheckBox showCross = new JCheckBox ("Axisvalues / Cross");
         showCross.setSelected(true);
         showCross.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox showBalken = new JCheckBox ("Time Progress");
         showBalken.setSelected(true);
         showBalken.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox showLabel = new JCheckBox ("Stage Label");
         showLabel.setSelected(true);
         showLabel.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox showRadius = new JCheckBox ("Radius-Simulation");
         showRadius.setSelected(false);
         showRadius.setBackground(Color.decode(sVar.CONTROL));
         
         JCheckBox myValues = new JCheckBox ("Show Valuebox");
         myValues.setSelected(false);
         myValues.setBackground(Color.decode(sVar.CONTROL));
        
         //Stagebutton, Massbutton & other Listeners

         /** stage */
         stageButton0.addMouseListener(new Stage0());
         stageButton1.addMouseListener(new Stage1());
         stageButton2.addMouseListener(new Stage2());
         stageButton3.addMouseListener(new Stage3()); 
         stageButton4.addMouseListener(new Stage4()); 
         stageButton5.addMouseListener(new Stage5());
         stageButton6.addMouseListener(new Stage6()); 
         stageButton7.addMouseListener(new Stage7());
         stageButton8.addMouseListener(new Stage8());
         stageButton9.addMouseListener(new Stage9());
         stageButton10.addMouseListener(new Stage10());
    
         /** mass */
         m0001Button.addMouseListener(new SetM0001());
         m0006Button.addMouseListener(new SetM0006());         
         m0009Button.addMouseListener(new SetM0009());
         m0010Button.addMouseListener(new SetM0010()); 
         m0015Button.addMouseListener(new SetM0015());
         m0020Button.addMouseListener(new SetM0020());
         m0030Button.addMouseListener(new SetM0030());
         m0040Button.addMouseListener(new SetM0040()); 
         m0050Button.addMouseListener(new SetM0050());
         m0070Button.addMouseListener(new SetM0070());
         m0090Button.addMouseListener(new SetM0090());
         m0150Button.addMouseListener(new SetM0150());
         m0200Button.addMouseListener(new SetM0200());
         m0500Button.addMouseListener(new SetM0500());
         m0900Button.addMouseListener(new SetM0900());
         m1200Button.addMouseListener(new SetM1200());
         
         
         
         /** features */
         buttonZAMS.addActionListener(new SetZAMS());
         buttonTAMS.addActionListener(new SetTAMS());
         showHayashi.addActionListener(new SetHayashi());
         showHburnCoreArea.addActionListener(new SetHburnCoreArea());
         showHburnShellArea.addActionListener(new SetHburnShellArea());
         showHeBurnCoreArea.addActionListener(new SetHeBurnCoreArea());
         showHB.addActionListener(new SetHorizontalBranch());
         showCross.addActionListener(new SetShowCross());
         showBalken.addActionListener(new SetShowProgress());
         showLabel.addActionListener(new SetShowLabel());
         showRadius.addActionListener(new SetShowRadius());
         myValues.addActionListener(new SetValues());
        
         
          //add buttons to Panel
         JPanel westPanel = new JPanel();
         westPanel.setPreferredSize(new Dimension(sVar.WESTPANEL_WIDTH, getHeight()));
         westPanel.setLayout(new GridLayout(22,1));
         westPanel.setBackground(Color.decode(sVar.CONTROL));
         westPanel.setBorder(BorderFactory.createLineBorder(Color.BLACK));
         
         //add mass buttons to panel
         westPanel.add(selectM);
         westPanel.add(m0001Button);
         westPanel.add(m0006Button);
         westPanel.add(m0009Button);
         westPanel.add(m0010Button);
         westPanel.add(m0015Button);
         westPanel.add(m0020Button);
         westPanel.add(m0030Button);
         westPanel.add(m0050Button);
         westPanel.add(m0070Button);
         westPanel.add(m0090Button);
         westPanel.add(m0150Button);         
         westPanel.add(m0200Button);
         westPanel.add(m0500Button);
         westPanel.add(m0900Button);
         westPanel.add(m1200Button);
         westPanel.add(seppZ);
         westPanel.add(selectZ);
         westPanel.add(zButton);
         westPanel.add(zButton2);
        
         
         //group mass buttons
         ButtonGroup mAss = new ButtonGroup();
         mAss.add(m0001Button);
         mAss.add(m0006Button);         
         mAss.add(m0009Button);
         mAss.add(m0010Button);
         mAss.add(m0015Button);
         mAss.add(m0020Button);
         mAss.add(m0030Button);
         mAss.add(m0050Button);
         mAss.add(m0070Button);
         mAss.add(m0090Button);
         mAss.add(m0150Button);
         mAss.add(m0200Button);
         mAss.add(m0500Button);
         mAss.add(m0900Button);
         mAss.add(m1200Button);
         
         //group radio buttons
         ButtonGroup zGroup = new ButtonGroup();
         zGroup.add(zButton);
         zGroup.add(zButton2);
         
        
         //group stage buttons
         ButtonGroup stageButtonGroup = new ButtonGroup();
         stageButtonGroup.add(stageButton0);
         stageButtonGroup.add(stageButton1);
         stageButtonGroup.add(stageButton2);
         stageButtonGroup.add(stageButton3);
         stageButtonGroup.add(stageButton4);
         stageButtonGroup.add(stageButton5);
         stageButtonGroup.add(stageButton6);
         stageButtonGroup.add(stageButton7);
         stageButtonGroup.add(stageButton8);
         stageButtonGroup.add(stageButton9);
         stageButtonGroup.add(stageButton10);
         
         
         JPanel eastPanel = new JPanel();
         eastPanel.setLayout(new GridLayout(30,1));
         eastPanel.setBorder(BorderFactory.createLineBorder(Color.BLACK));         
        //add stages
         eastPanel.add(selectT); 
         eastPanel.add(stageButton0);   
         eastPanel.add(stageButton1);
         eastPanel.add(stageButton2);
         eastPanel.add(stageButton3);   
         eastPanel.add(stageButton4);   
         eastPanel.add(stageButton5);  
         eastPanel.add(stageButton6); 
         eastPanel.add(stageButton7);
         eastPanel.add(stageButton8);
         eastPanel.add(stageButton9);
         eastPanel.add(stageButton10);
         
         
         //add features
         eastPanel.setBackground(Color.decode(sVar.CONTROL));
         eastPanel.add(sepp);
         eastPanel.add(features);          
         eastPanel.add(buttonZAMS);
         eastPanel.add(buttonTAMS);
         eastPanel.add(showHayashi);
         eastPanel.add(showHburnCoreArea);
         eastPanel.add(showHburnShellArea);
         eastPanel.add(showHeBurnCoreArea);
         eastPanel.add(showHB);
         eastPanel.add(showCross);
         eastPanel.add(showBalken);
         eastPanel.add(showLabel);
         eastPanel.add(showRadius);
         eastPanel.add(myValues);
         eastPanel.add(sepp2);          
         eastPanel.add(sliderLabel);
         eastPanel.add(delaySlide);
         
         
         
         JPanel controlPanel = new JPanel();
         controlPanel.setLayout(new GridLayout(1,6));
         controlPanel.add(resetButton);
         controlPanel.add(startButton);
         controlPanel.add(stopButton);
         controlPanel.add(rwdButton);         
         controlPanel.add(fwdButton);
         controlPanel.add(helpButton);
         
        
         
         JPanel diagramPanel = new JPanel();
         diagramPanel.setLayout(new BorderLayout());
         diagramPanel.add(starHRD, BorderLayout.CENTER);
         diagramPanel.add(animationScroll, BorderLayout.SOUTH);
         


          
         //... Main Layout For Main Panel
         this.setLayout(new BorderLayout());
         this.setPreferredSize(new Dimension(sVar.PANEL_WIDTH,sVar.PANEL_HEIGHT));
         this.add(westPanel, BorderLayout.WEST);
         this.add(diagramPanel, BorderLayout.CENTER);
         this.add(eastPanel, BorderLayout.EAST);
         this.add(controlPanel, BorderLayout.SOUTH);

    }//end constructor

	/**
	 *  Inner Classes!!!
	 */
    
    //innere Steuerungsklassen
	class Start implements ActionListener, MouseListener {
	    public void actionPerformed(ActionEvent a) {
	        starHRD.startApp();
	    }

	    public void mouseClicked(MouseEvent e) {
	    }
	
	    public void mousePressed(MouseEvent e) {
	    	if (SwingUtilities.isLeftMouseButton(e)) {
	    		starHRD.runApp();
	    	}
	    	if (SwingUtilities.isRightMouseButton(e)) {
	    		starHRD.setFreezeTrack();
	    	}	    	
	    }
	
	    public void mouseReleased(MouseEvent e) {
	    }
	
	    public void mouseEntered(MouseEvent e) {
	    }
	    
	    public void mouseExited(MouseEvent e) {
	    }
	}
	
	
	class Stop implements ActionListener {
		public void actionPerformed(ActionEvent a) {
			starHRD.stopApp();
		}
	}
	
	class Reset implements ActionListener {
		public void actionPerformed(ActionEvent a) {
		    starHRD.resetApp();
		    /** TODO: Resetfunktion optimieren*/
		}
	}
	
	
	class StepFWD implements ActionListener {
		public void actionPerformed(ActionEvent a) {
			starHRD.stepFWD();
			animationScroll.setValue( StarInHRD.m_star.getX() );
		}
	}
	

	class StepRWD implements ActionListener {
		public void actionPerformed(ActionEvent a) {
			starHRD.stepRWD();
			animationScroll.setValue( StarInHRD.m_star.getX() );
		}
	}	
	
	/** Slider */
	
	class DelaySlider implements ChangeListener {
		public void stateChanged(ChangeEvent evt) {
			int slideVal = (((JSlider) (evt.getSource ())).getValue());
			StarInHRD.m_timer.setDelay(slideVal);
			int delay = StarInHRD.m_timer.getDelay();
	        sliderLabel.setText(" Animation Delay [ms]: " + delay );
			repaint();
		}
	}
	
	class SetDelayByWheel implements MouseWheelListener {
		
		public void mouseWheelMoved(MouseWheelEvent e) {

			int count = e.getWheelRotation();
			int wheelRange = 50;
			int delay = StarInHRD.m_timer.getDelay();
	        
	        if ( count* (-1) > 0 ) {
	        	if (delay + wheelRange <= 1001 && delay != 1000) {
	        	StarInHRD.m_timer.setDelay(delay+wheelRange);
	        	delaySlide.setValue(delay+wheelRange);
	        	}
	        } else {
	        	if (delay - wheelRange >= 0) {
	        	StarInHRD.m_timer.setDelay(delay-wheelRange);
	        	delaySlide.setValue(delay-wheelRange);
	        	}
	        }

	        repaint();
			
		}
		
	}
	
	
	/** Scrollbar */
	class SetX implements AdjustmentListener {
            public void adjustmentValueChanged( AdjustmentEvent evt ) {
     		 animationScroll.setMaximum((int)Years.length(StarInHRD.m_star.m_M)-1);
     		 StarInHRD.m_star.m_x = animationScroll.getValue();
     		 StarInHRD.m_star.m_y = animationScroll.getValue();
    			repaint();
            }
	}
	
	class ScrollPosX implements ActionListener  {
        	 public void actionPerformed( ActionEvent e ) {
        		 /** Scrollbar position hört auf aktuellen m_x-Wert */
        		 animationScroll.setValue( StarInHRD.m_star.getX() );
        	 }
	}
	

	class WheelX implements MouseWheelListener {
		
		public void mouseWheelMoved(MouseWheelEvent e) {
			
			int anzahlDaten = (int)Years.length(StarInHRD.m_star.m_M)-1;
			int range = anzahlDaten/100;
			int count = e.getWheelRotation();
			
	        if (count* (-1) > 0) {
	        	animationScroll.setValue(StarInHRD.m_star.m_x+range);	
	        } else {
	        	animationScroll.setValue(StarInHRD.m_star.m_x-range);
	        }
	        repaint();
		}
	}
	
	
	
	//innere Phasenklassen
	class Stage0 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			// ++ only Stage0 ++
			StarInHRD.m_star.m_x = 0;  
			StarInHRD.m_star.m_y = 0;
			StarInHRD.m_timer.stop();
			// ++ 
			starHRD.stage0();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
				
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=0;
			    starHRD.showInfoBox();
			}
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	
	
	class Stage1 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage1();
			animationScroll.setValue( StarInHRD.m_star.getX() );			
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=1;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage2 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage2();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
			starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID = 2;
			    starHRD.showInfoBox();
			}
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage3 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage3();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=3;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage4 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage4();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=4;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage5 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage5();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=5;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage6 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage6();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {
				InfoBox.boxID=6;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage7 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage7();
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {				
				InfoBox.boxID=7;
				starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage8 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage8();
			animationScroll.setValue( StarInHRD.m_star.getX() );			
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {				
				InfoBox.boxID=8;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;			
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage9 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage9();
			animationScroll.setValue( StarInHRD.m_star.getX() );			
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
				starHRD.highLightStage = true;
				starHRD.highlightStage();
			}
			if (SwingUtilities.isRightMouseButton(arg0)) {				
				InfoBox.boxID=9;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}
	
	class Stage10 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			starHRD.stage10();	
			animationScroll.setValue( StarInHRD.m_star.getX() );
			if (SwingUtilities.isLeftMouseButton(arg0)) {
				starHRD.highLightStage = true;
				starHRD.highlightStage();
				}
			if (SwingUtilities.isRightMouseButton(arg0)) {				
				InfoBox.boxID=10;
			    starHRD.showInfoBox();
			}			
		}

		public void mouseReleased(MouseEvent arg0) {
			   
			starHRD.highLightStage = false;
			starHRD.highlightStage();
			StarInHRD.showInfoBox = false;
		}

		public void mouseEntered(MouseEvent arg0) {
		}

		public void mouseExited(MouseEvent arg0) {
		}
	}	

	//innere Massenauswahlklassen
	class SetM0001 implements MouseListener {
		public void actionPerformed(ActionEvent e) {
	   
		}

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {			
			starHRD.m0001();
			animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	

	class SetM0006 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0006();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0009 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0009();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0010 implements MouseListener {
		
		public void mouseClicked(MouseEvent arg0) {
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0010();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	
	class SetM0015 implements MouseListener {
		
		public void mouseClicked(MouseEvent arg0) {
		}
		
		public void mousePressed(MouseEvent arg0) {
		       if (SwingUtilities.isLeftMouseButton(arg0)) {
				   starHRD.m0015();
				   animationScroll.setValue(0);
			       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
			       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
			       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
			       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
			       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
			       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
			       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
			       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
			       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
			       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
			       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
		       }
		}


		public void mouseReleased(MouseEvent arg0) {}
		public void mouseEntered(MouseEvent arg0) {}
		public void mouseExited(MouseEvent arg0) {}



	}
	
	class SetM0020 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0020();
			   animationScroll.setValue(0);	
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0030 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0030();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0040 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0040();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0050 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0050();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	
	class SetM0070 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0070();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	
	class SetM0090 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0090();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0150 implements MouseListener {
		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0150();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0200 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0200();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0500 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0500();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM0900 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m0900();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);			   

			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	class SetM1200 implements MouseListener {

		public void mouseClicked(MouseEvent arg0) {

			
		}

		public void mousePressed(MouseEvent arg0) {
			if (SwingUtilities.isLeftMouseButton(arg0)) {
			   starHRD.m1200();
			   animationScroll.setValue(0);
		       stageButton0.setText(Years.stageName(StarInHRD.m_star.m_M)[0]);
		       stageButton1.setText(Years.stageName(StarInHRD.m_star.m_M)[1]);
		       stageButton2.setText(Years.stageName(StarInHRD.m_star.m_M)[2]);    
		       stageButton3.setText(Years.stageName(StarInHRD.m_star.m_M)[3]);
		       stageButton4.setText(Years.stageName(StarInHRD.m_star.m_M)[4]); 
		       stageButton5.setText(Years.stageName(StarInHRD.m_star.m_M)[5]); 
		       stageButton6.setText(Years.stageName(StarInHRD.m_star.m_M)[6]); 
		       stageButton7.setText(Years.stageName(StarInHRD.m_star.m_M)[7]); 
		       stageButton8.setText(Years.stageName(StarInHRD.m_star.m_M)[8]);
		       stageButton9.setText(Years.stageName(StarInHRD.m_star.m_M)[9]);
		       stageButton10.setText(Years.stageName(StarInHRD.m_star.m_M)[10]);
			}		   
		}

		public void mouseReleased(MouseEvent arg0) {
			   

			
		}

		public void mouseEntered(MouseEvent arg0) {

			
		}

		public void mouseExited(MouseEvent arg0) {

			
		}
	}
	
	
	//Innere Funktionsklassen
	class SetZAMS implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.showZAMS();
		}
	}
	
	class SetTAMS implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.showTAMS();
		}
	}
	
	class SetHayashi implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.showHayashi();
		}
	}
	
	class SetHburnCoreArea implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setHburnCoreArea();
		}
	}
	
	class SetHburnShellArea implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setHburnShellArea();
		}
	}

	class SetHeBurnCoreArea implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setHeBurnCoreArea();
		}
	}
	
	class SetHorizontalBranch implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setHorizontalBranch();
		}
	}	
	
	class SetShowCross implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setShowCross();
		}
	}	
	class SetShowProgress implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setShowProgress();
		}
	}
	
	class SetShowLabel implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setShowLabel();
		}
	}
	
	class SetShowRadius implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.setShowRadius();
		}
	}	
	
	class SetValues implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		   starHRD.showValues();
		}
	}
	
	
}//endclass HRD Panel


