
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.io.IOException;

/*
 * Created on 18.07.2005
 */

/**
 * @author Christian Carazo Ziegler
 *         Sternwarte Bonn
 */
public class TAMS {
    
//  ======================================================== constructor
    public TAMS() {
    }    
    
	static double[][]tams = {
			{
			3.7397,			
			3.7802,
			3.8162,			
			3.9405,	
			4.099,				
			4.1948,
//			LogT090.value[1],			
			4.3687,
//			LogT500.value[1],
//			LogT900.value[1],
			},
			{
				0.3256,
				0.8648,
				1.4358,
				2.192,				
				3.0757,
				3.6303,
//				LogL090.value[1],				
				4.9904,
//				LogL500.value[1],
//				LogL900.value[1],				
			}
	};
	
	static int length =tams[0].length-1;

public void draw(Graphics g) throws IOException {
	//Color and Titel
    g.setColor(Color.red);
    g.setFont(new Font("Arial", Font.PLAIN, 12));
    g.drawString("TAMS",(int)(sVar.xPos - sVar.xSt * tams[0][length])+5,(int)(sVar.yPos - sVar.ySt * tams[1][length])-2);
	
    //draw TAMS line
	for (int i = 0; i < length; i++){
		int x1 = (int)(sVar.xPos - sVar.xSt * tams[0][i]);
	    int x2 = (int)(sVar.xPos - sVar.xSt * tams[0][i+1]);
	    int y1 = (int)(sVar.yPos - sVar.ySt * tams[1][i]);
	    int y2 = (int)(sVar.yPos - sVar.ySt * tams[1][i+1]); 
	    
		g.drawLine(x1,y1,x2,y2);
	}
	
	
}

}
