package padova;

import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;


public class Opal92Tokenizer {

    @SuppressWarnings("unchecked")
	public static void tokenize( String filename) {
        try
        {
          FileReader f =   new FileReader  ( "/user3/ccz/starmodels/opal92/tracks/z02/data/" + filename );
          String str = "";
          for ( int c; ( c = f.read() ) != -1; )
          str = str + Character.toString( (char) c);
          f.close();
          
          StringTokenizer tok = new StringTokenizer(str);

          int tokInt = tok.countTokens();
          int startInt=0;
          int col=10;
          
          //Token in Arraylist schreiben
          List v = new ArrayList();
          //System.out.println(tokInt);

          for (int i = 0; i < tokInt; i++) {
              v. add (tok.nextToken());
              if (v.get(i).toString().equals("0.00000E+00")){
                  startInt=i;
              }
          }
          
          
          // ArrayList in Array schreiben
          double listTo[] = new double[tokInt];
          
          
          for (int i=startInt; i < tokInt; i++) {
        	  try {
            
        		  listTo[i]=Double.valueOf((String)v.get(i));
            
//        		  System.out.print(listTo[i]+"\t");
            
        	  } catch (Exception e) {
        		  System.out.println("Fehler");
        	  	} 
//        	  if (i%col == 0){
//        		  System.out.println();
//        	  }             
          }
          
          
          int aZeilen = listTo.length/col-1;
          
          double ddArray[][] = new double [aZeilen][col];
     
          for (int l = 0; l < ddArray.length; l++) {
              for (int i = startInt; i < (startInt+col); i++) {
            	  int q = i+(l*col);
                  try {
                      ddArray[l][i-startInt]=listTo[q];
                      //choose colum:
                      //years
                      if (i == startInt) {
                      System.out.print(ddArray[l][i-startInt]/1000000 + ",");
                      }
//                      //log L/Lo
//                      if (i == startInt+1) {
//                          System.out.print(ddArray[l][i-startInt] + ",");
//                          }
//                      // log T
//                      if (i == startInt+2) {
//                          System.out.print(ddArray[l][i-startInt] + ",");
//                          }                         
                  } catch (Exception e) {
                    
                  }

              }
              System.out.println("");
            }

//            System.out.println("letzter Eintrag: " + ddArray[ddArray.length-1][col-1]);
          
            
          }  

        
        catch ( IOException e ) {
          System.out.println( "Fehler beim Lesen der Datei "+filename );
        }
    }  
    
    
    
    public static void main(String[] args)  {
        String file ="c09.dt1";
        tokenize(file);
        System.exit(0);

    }
}

